/*--------------------------------------------------------------
# GENERAL

:: Colors
    Azul: #163b6d
    Gris: #8ea1ac
    Rojo: #901729

--------------------------------------------------------------*/
.b1 {
    border: 0px aqua solid;
}

.b2 {
    border: 0px red solid;
}

.b3 {
    border: 0px orange solid;
}

.b4 {
    border: 0px black solid;
}

.b5 {
    border: 0px #ee00ff solid;
}


a {
    color: var(--color-primary);
    text-decoration: none !important;
}

a:hover {
    color: var(--color-primary);
    text-decoration: none !important;
}

p {
    font-size: 16px !important;
}

:target::before {
    content: "";
    display: block;
    height: 120px;
    /* Ajusta según la altura de tu navbar */
    margin-top: -80px;
}

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
header {
    height: 90px !important;
    width: 100%;
    padding: 0 !important;
    /* background-color: rgba(0, 0, 0, 1); */
    /* background-color: var(--color-white); */
    background-color: var(--color-action);
    border-bottom: 3px solid var(--color-secondary);
}

/* .header .logo img, */
.logo {
    max-height: 100px;
    margin-top: 10px;
}

.logo-black {
    max-height: 80px;
    display: none;
    margin-top: 10px;
}

.show {
    display: block;
}

.hide {
    display: none;
}

.navbar-custom {
    transition: background-color 0.4s ease-in-out;
}

.navbar-scrolled {
    background-color: var(--color-white);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    border-bottom: 3px solid var(--color-secondary);
}

.navbar-scrolled .container {
    padding-bottom: .5rem !important;
}

.navbar a,
.navbar a:focus {
    font-size: 16px;
    text-decoration: none;
}


@media (min-width: 1280px) {

    /* .hero {
        height: 100% !important;
    } */
    header {
        height: 110px !important;
    }

    .navbar-scrolled .navbar a:hover,
    .navbar-scrolled .navbar .active,
    .navbar-scrolled .navbar .active:focus,
    .navbar-scrolled .navbar li:hover a {
        /* color: var(--color-dark) !important; */
        /* color: var(--color-white) !important; */
        color: var(--color-primary) !important;
    }

    .navbar-scrolled .navbar a,
    .navbar-scrolled .navbar a:focus {
        color: var(--color-primary);
        /* color: var(--color-dark); */
    }
}

/* Carousel */
.carousel-item {
    height: 100%;
}

.carousel-item::before {
    content: "";
    position: absolute;
    inset: 0;
    /* background: linear-gradient(180deg, rgba(0, 0, 0, 1) 2%, rgba(0, 0, 0, 0.2) 80%); */
}

.carousel-caption {
    bottom: 40% !important;
}

.carousel-caption h5 {
    font-size: 2rem;
}

.carousel-caption p {
    font-size: 1.2rem;
}

/* .btn-get-started {
    font-family: var(--font-primary);
    font-weight: 500;
    font-size: 16px;
    letter-spacing: 1px;
    display: inline-block;
    padding: 10px 30px;
    border-radius: 50px;
    transition: 0.5s;
    margin: 10px;
    color: var(--color-dark);
    background-color: var(--color-primary);
    text-decoration: none;
}

.btn-get-started:hover {
    background: var(--color-primary);
    text-decoration: none;
    color: #fff !important;
} */


/* header-carousel */
/* .header-carousel .owl-carousel-text {
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 3rem;
    top: 0;
    left: 0;
    display: flex;
    align-items: end;
    justify-content: center;
    text-shadow: 0 0 30px rgba(0, 0, 0, .4);
}

.header-carousel .owl-nav {
    position: absolute;
    width: 200px;
    height: 45px;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: space-between;
}

.header-carousel .owl-nav .owl-prev,
.header-carousel .owl-nav .owl-next {
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: transparent;
    border: 1px solid #FFFFFF;
    border-radius: 45px;
    font-size: 22px;
    transition: .5s;
}

.header-carousel .owl-nav .owl-prev:hover,
.header-carousel .owl-nav .owl-next:hover {
    background: var(--primary);
    border-color: var(--primary);
}

.header-carousel .owl-dots {
    position: absolute;
    height: 45px;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    background: transparent;
    border: 1px solid #FFFFFF;
    border-radius: 15px;
    transition: .5s;
}

.header-carousel .owl-dot::after {
    position: absolute;
    content: "";
    width: 5px;
    height: 5px;
    top: 4px;
    left: 4px;
    background: #FFFFFF;
    border-radius: 5px;
}

.header-carousel .owl-dot.active {
    background: var(--primary);
    border-color: var(--primary);
} */


/*--------------------------------------------------------------
# Features Section
--------------------------------------------------------------*/
.features .nav-tabs {
    border: 0;
}

.features .nav-link {
    color: var(--color-secondary) !important;
    border: 0 !important;
    border-bottom: 4px solid #e2e4e6 !important;
}

.features .nav-link:hover {
    color: var(--color-primary) !important;
}

.features .nav-link.active {
    color: var(--color-primary) !important;
    background-color: transparent !important;
    border-color: var(--color-primary) !important;
}


/*--------------------------------------------------------------
# Sections & Section Header
--------------------------------------------------------------*/
@media (min-width: 1199px) {
    .section-header p {
        max-width: 70%;
    }
}

/*--------------------------------------------------------------
# Alt Services Section
--------------------------------------------------------------*/
.alt-services .logo-empresas {
    max-height: 120px;
    margin-right: 10px;
}


/*--------------------------------------------------------------
# Customer Section
--------------------------------------------------------------*/
.customers .logo-customers {
    /* max-height: 150px; */
    margin: 0 auto;
}

.customers .info-item {
    box-shadow: 0 0 25px rgba(0, 0, 0, 0.08);
    background: #fff;
    padding: 20px 0 30px 0;
}

.customers img {
    /* width: 90%; */
    transition: all 0.4s ease-in-out;
}

.customers img:hover {
    filter: none;
    /* transform: scale(1.1); */
}




/*--------------------------------------------------------------
# Contact Section
--------------------------------------------------------------*/
.contact .info-item a {
    color: var(--color-default) !important;
}

.contact .info-item a:hover {
    color: var(--color-primary) !important;
}


/*--------------------------------------------------------------
# Companies
--------------------------------------------------------------*/
.companies {
    /* background: var(--color-primary); */
    /* background-color: rgba(var(--color-primary), 0.5); */
    /* padding: 15px 0; */
    text-align: center;
    box-shadow: 0px 2px 30px rgba(0, 0, 0, 0.08);
}

.companies img {
    width: 70%;
    /* filter: grayscale(100); */
    transition: all 0.4s ease-in-out;
    display: inline-block;
    padding: 15px 0;
}

.companies img:hover {
    filter: none;
    transform: scale(1.1);

    opacity: 1;
    -webkit-animation: flash 1.5s;
    animation: flash 1.5s;
}



/* .hover13 figure:hover img {
    opacity: 1;
    -webkit-animation: flash 1.5s;
    animation: flash 1.5s;
} */

@-webkit-keyframes flash {
    0% {
        opacity: .4;
    }

    100% {
        opacity: 1;
    }
}

@keyframes flash {
    0% {
        opacity: .4;
    }

    100% {
        opacity: 1;
    }
}


@media (max-width: 768px) {
    .companies img {
        width: 40%;
    }
}

/* Botones */
.btn-whatsapp {
    width: 65px;
    height: 65px;
    position: fixed;
    bottom: 200px;
    right: 10px;
    z-index: 99;
}

.btn-llamada {
    width: 65px;
    height: 65px;
    position: fixed;
    bottom: 110px;
    right: 10px;
    z-index: 99;
    /* right: -200px; */
}





/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/
.footer a,
.footer a:hover {
    text-decoration: none;
    color: #fff !important;
}

.footer {
    color: #fff;
    /* background: var(--color-secondary) !important; */
}

.footer .footer-content {
    padding: 60px 0 30px 0;
}

.footer .footer-legal {
    /* background: #333; */
    padding-bottom: 10px;
}

/*--------------------------------------------------------------
# Blog
--------------------------------------------------------------*/
.img-blog-detail {
    width: 100%;
    height: 400px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    border-radius: 0.375rem 0.375rem 0 0;
}


/*--------------------------------------------------------------
# Accordion
--------------------------------------------------------------*/
.accordion {
    width: 100%;
    max-width: 500px;
    border: 1px solid #ddd;
    border-radius: 5px;
    overflow: hidden;
}

.accordion-item {
    border-bottom: 1px solid #ddd;
}

.accordion-header {
    /* background: #f8f9fa; */
    background: var(--color-dark);
    color: #fff;
    padding: 15px;
    cursor: pointer;
    font-weight: bold;
    transition: background 0.3s;
}

.accordion-header:hover {
    /* background: #e9ecef; */
    /* background: #757575; */
    background: var(--color-dark-light);
}

.accordion-content {
    display: none;
    padding: 15px;
    background: white;
}

/* ✅ Muestra el primer elemento abierto por defecto */
.accordion-item:first-child .accordion-content {
    display: block;
}

.accordion-item:first-child .accordion-header {
    /* background: #007bff; */
    color: white;
}

/* ✅ Estilo para el encabezado activo */
.accordion-active {
    /* background: var(--color-primary) !important; */
    background: var(--color-dark) !important;
    color: #fff !important;
}




@media (min-width: 1366px) {
    .img-blog-detail {
        height: 300px;
    }
}



@media (min-width: 1536px) {

    p,
    .about ul,
    .service-item ul,
    .alt-services .icon-box h4,
    .stats-counter .stats-item p,
    .recent-blog-posts .post-item .readmore,
    .blog .sidebar .recent-posts h4,
    .footer .sidebar .recent-posts h4,
    .customers .sidebar h4,
    .contact .info-item a,
    .contact .php-email-form input,
    .contact .php-email-form textarea,
    .contact .php-email-form button[type=submit],
    .section-header p,
    .about ul,
    .service-item ul,
    .section-box ul,
    .blog .content ul,
    .sidebar ul li,
    .sidebar ul li a {
        font-size: 1.2rem !important;
    }

    .footer .footer-content .footer-links ul a,
    .footer .footer-content .footer-info p {
        font-size: 0.9rem !important;
    }

    .footer .footer-content .footer-info h3,
    .footer .footer-content .footer-links h3 {
        font-size: 1.5rem !important;
        text-transform: uppercase;
        font-weight: 900;
    }

    .footer .footer-content .footer-info h4 {
        font-size: 1.2rem !important;
    }

    .carousel-caption {
        bottom: 20% !important;
    }

    .carousel-item::before {
        content: "";
        /* background-color: rgba(0, 0, 0, 0.7); */
        position: absolute;
        inset: 0;
        /* background: linear-gradient(180deg, rgba(0, 0, 0, 1) 2%, rgba(0, 0, 0, 0.2) 80%); */
        /* background: linear-gradient(180deg, rgba(0, 0, 0, 1) 1%, rgba(0, 0, 0, 0.2) 50%); */
    }

    .customers .logo-customers {
        margin: 0 auto;
    }

    .customers .info-item {
        box-shadow: 0 0 25px rgba(0, 0, 0, 0.08);
        background: #fff;
        padding: 20px 0 30px 0;
    }

    .customers img {
        width: 80%;
        transition: all 0.4s ease-in-out;
    }

    .customers img:hover {
        filter: none;
        transform: scale(1.1);
    }


}

@media (min-width: 1920px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl,
    .container-xxl {
        max-width: 1620px !important;
    }

    p,
    .about ul,
    .service-item ul,
    .alt-services .icon-box h4,
    .stats-counter .stats-item p,
    .recent-blog-posts .post-item .readmore,
    .footer .footer-content .footer-links ul a,
    .footer .footer-content .footer-info p,
    .blog .sidebar .recent-posts h4,
    .footer .sidebar .recent-posts h4,
    .customers .sidebar h4,
    .contact .info-item a,
    .contact .php-email-form input,
    .contact .php-email-form textarea,
    .contact .php-email-form button[type=submit],
    .section-header p {
        font-size: 1.3rem !important;
    }

    .navbar a,
    .navbar a:focus,
    .navbar a:hover,
    .navbar .active,
    .navbar .active:focus,
    .navbar li:hover>a,
    .hero .info p {
        font-size: 1.3rem !important;
    }

    .logo {
        max-height: 100px;
    }


    .contact .info-item h3 {
        font-size: 1.5rem !important;
    }

    .carousel-caption {
        bottom: 30% !important;
        max-width: 50%;
        margin: 0 auto;
        text-align: center;
    }

    .carousel-item::before {
        content: "";
        /* background-color: rgba(0, 0, 0, 0.7); */
        position: absolute;
        inset: 0;
        /* background: linear-gradient(180deg, rgba(0, 0, 0, 1) 2%, rgba(0, 0, 0, 0.2) 80%); */

    }
}



/* :: Buttons */
.btn-new {
    /* font-size: 1.4rem; */
    text-transform: uppercase;
    text-decoration: none;
    overflow: hidden;
    display: inline-block;
    padding: 10px 20px;
    color: #fff !important;
    background: var(--color-primary);
    border: 2px solid var(--color-primary);
    border-radius: 30px;
    cursor: pointer;
    transform: translate3d(0, 0, 0);

    &:after {
        content: "";
        display: block;
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        z-index: -1;
        height: 150%;
        background: #ffffff;
        pointer-events: none;
        transform: translate3d(0, 45px, 0);
        transition: all 0.3s 0s cubic-bezier(0.455, 0.03, 0.515, 0.955);
    }

    i {
        display: inline-block;
        padding-left: 1px;
        padding-right: 1px;
        transition: all 0.1s cubic-bezier(0.19, 1, 0.22, 1);

        color: #fff;

        /* &:hover {
            transform: translate3d(0, 70px, 0);
        } */
    }

    &:hover {
        color: var(--color-dark) !important;
        border-radius: 30px;
        transition-duration: 1s;

        &:after {
            transform: translate3d(0, 0, 0);
        }

        i {
            color: var(--color-dark);
        }
    }
}




/* Flashing */
/* .hover13 figure:hover img {
    opacity: 1;
    -webkit-animation: flash 1.5s;
    animation: flash 1.5s;
}

@-webkit-keyframes flash {
    0% {
        opacity: .4;
    }

    100% {
        opacity: 1;
    }
}

@keyframes flash {
    0% {
        opacity: .4;
    }

    100% {
        opacity: 1;
    }
} */